=== modified file 'glitter/scroll_area.py'
--- glitter/scroll_area.py	2009-06-06 11:32:07 +0000
+++ glitter/scroll_area.py	2009-06-06 13:03:00 +0000
@@ -137,9 +137,15 @@
         elif target_y < self.get_heightu() - self._scroll_image.get_heightu():
             target_y = -(self._scroll_image.get_heightu() - self.get_heightu())     
         
-        if self._scroll_image.get_xu() == 0 or self._scroll_image.get_xu() == self.get_widthu() - self._scroll_image.get_widthu():
+        # Neutralize horizontal and/or vertical factors when the scroll area
+        # hits bounds
+        right_bound = self.get_widthu() - self._scroll_image.get_widthu()
+        if self._scroll_image.get_xu() == 0 or \
+          self._scroll_image.get_xu() == right_bound:
             self._horiz_factor = 0.0
-        if self._scroll_image.get_yu() == 0 or self._scroll_image.get_yu() == self.get_heightu() - self._scroll_image.get_heightu():
+        right_bound = self.get_heightu() - self._scroll_image.get_heightu()
+        if self._scroll_image.get_yu() == 0 or \
+          self._scroll_image.get_yu() == right_bound:
             self._vert_factor = 0.0            
         
         # Kick-start scroll animations
@@ -160,31 +166,23 @@
         """ Handles scroll event """
 
         if event.direction == clutter.SCROLL_UP:
-            print 'scroll UP'
             self.scroll(vert_factor=0.1)
         elif event.direction == clutter.SCROLL_DOWN:
-            print 'scroll DOWN'
             self.scroll(vert_factor=-0.1)
         elif event.direction == clutter.SCROLL_LEFT:
-            print 'scroll LEFT'
             self.scroll(0.1)
         elif event.direction == clutter.SCROLL_RIGHT:
-            print 'scroll RIGHT'
             self.scroll(-0.1)
             
     def do_key_press_event(self, widget, event):
         """ Handles key press event """
 
         if event.keyval == clutter.keysyms.Up:
-            print 'scroll UP'
             self.scroll(vert_factor=0.1)
         elif event.keyval == clutter.keysyms.Down:
-            print 'scroll DOWN'
             self.scroll(vert_factor=-0.1)
         elif event.keyval == clutter.keysyms.Left:
-            print 'scroll LEFT'
             self.scroll(0.1)
         elif event.keyval == clutter.keysyms.Right:
-            print 'scroll RIGHT'
             self.scroll(-0.1)
                            

